org.richfaces.application

## Class GlobalResourcesViewHandler

- java.lang.Object
- - javax.faces.application.ViewHandler
  - - javax.faces.application.ViewHandlerWrapper
    - - org.richfaces.application.GlobalResourcesViewHandler

- All Implemented Interfaces:
    javax.faces.FacesWrapper<javax.faces.application.ViewHandler>

      public class GlobalResourcesViewHandler
      extends javax.faces.application.ViewHandlerWrapper

  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from class javax.faces.application.ViewHandler

      `CHARACTER_ENCODING_KEY, DEFAULT_FACELETS_SUFFIX, DEFAULT_SUFFIX, DEFAULT_SUFFIX_PARAM_NAME, DISABLE_FACELET_JSF_VIEWHANDLER_PARAM_NAME, FACELETS_BUFFER_SIZE_PARAM_NAME, FACELETS_DECORATORS_PARAM_NAME, FACELETS_LIBRARIES_PARAM_NAME, FACELETS_REFRESH_PERIOD_PARAM_NAME, FACELETS_SKIP_COMMENTS_PARAM_NAME, FACELETS_SUFFIX_PARAM_NAME, FACELETS_VIEW_MAPPINGS_PARAM_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlobalResourcesViewHandler(javax.faces.application.ViewHandler viewHandler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.component.UIViewRoot` | `createView(javax.faces.context.FacesContext context, String viewId)`
    `javax.faces.application.ViewHandler` | `getWrapped()`
    `javax.faces.component.UIViewRoot` | `restoreView(javax.faces.context.FacesContext context, String viewId)`

    - ### Methods inherited from class javax.faces.application.ViewHandlerWrapper

      `addProtectedView, calculateCharacterEncoding, calculateLocale, calculateRenderKitId, deriveLogicalViewId, deriveViewId, getActionURL, getBookmarkableURL, getProtectedViewsUnmodifiable, getRedirectURL, getResourceURL, getViewDeclarationLanguage, initView, removeProtectedView, renderView, writeState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GlobalResourcesViewHandler

          public GlobalResourcesViewHandler(javax.faces.application.ViewHandler viewHandler)

  - ### Method Detail

    - #### getWrapped

          public javax.faces.application.ViewHandler getWrapped()

      Specified by:
        `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.application.ViewHandler>`
      Overrides:
        `getWrapped` in class `javax.faces.application.ViewHandlerWrapper`

    - #### restoreView

          public javax.faces.component.UIViewRoot restoreView(javax.faces.context.FacesContext context,
                                                     String viewId)

      Overrides:
        `restoreView` in class `javax.faces.application.ViewHandlerWrapper`

    - #### createView

          public javax.faces.component.UIViewRoot createView(javax.faces.context.FacesContext context,
                                                    String viewId)

      Overrides:
        `createView` in class `javax.faces.application.ViewHandlerWrapper`

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.